import PropTypes from 'prop-types'
import { ConsentActionType } from '@signatu/consent';

export const ConfigPropType = PropTypes.shape({
    apiKey: PropTypes.string.isRequired,
    accessToken: PropTypes.string.isRequired
}).isRequired

export const ConsentActionPropType = PropTypes.oneOf([
    'buttons', 'checkbox'
]) as PropTypes.Validator<ConsentActionType>